Trigger a background job
post
/cloudapi/restapi/bgjobs/{bgJobName}
This end point runs a background job. Current status and job details would be returned back as a response. Status can be Running, Completed, or Failed.
Example request: POST /cloudapi/restapi/bgjobs/PVD
Request
Path Parameters
-
bgJobName(required): string
Name of the background job to be runExample:
PVD
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
successful operation
Root Schema : BackgroundJobService
Type:
objectTitle:
Show Source
BackgroundJobService-
created: object
CloudTZDateTime
Title:
CloudTZDateTimeRead Only:trueDate and time when the password was last reset. -
end: object
CloudTZDateTime
Title:
CloudTZDateTimeRead Only:trueDate and time when the password was last reset. -
id: integer
(int32)
Title:
id -
isLocked: boolean
Title:
isLocked -
lastRunUser: string
Title:
lastRunUser -
logs: string
Title:
logs -
start: object
CloudTZDateTime
Title:
CloudTZDateTimeRead Only:trueDate and time when the password was last reset. -
status: string
Title:
statusAllowed Values:[ "NEW", "RUNNING", "FAILED", "COMPLETED" ] -
type: string
Title:
typeAllowed Values:[ "DATASYNC", "BIDDER", "PVD" ] -
updated: object
CloudTZDateTime
Title:
CloudTZDateTimeRead Only:trueDate and time when the password was last reset. -
workerHost: string
Title:
workerHost
Nested Schema : CloudTZDateTime
Type:
objectTitle:
CloudTZDateTimeRead Only:
trueDate and time when the password was last reset.
Show Source
-
millis: integer
(int64)
Title:
millis -
wrappedDateTime: string
(date-time)
Title:
wrappedDateTime
400 Response
An invalid job name was specified. Please recheck the input. Job name can only be pvd, datasync or bidder
500 Response
An internal error occurred. Inspect the log for more information